@prefix : <http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/> .
@prefix owl: <http://www.w3.org/2002/07/owl#> .
@prefix rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#> .
@prefix xml: <http://www.w3.org/XML/1998/namespace> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@base <http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/> .

<http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4> rdf:type owl:Ontology .

#################################################################
#    Object Properties
#################################################################

###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#HasBody
:HasBody rdf:type owl:ObjectProperty ;
         rdfs:subPropertyOf owl:topObjectProperty ;
         rdfs:domain :aircraft_body_type ;
         rdfs:range :aircraft_id .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#HasCount
:HasCount rdf:type owl:ObjectProperty ;
          rdfs:subPropertyOf owl:topObjectProperty ;
          rdfs:domain [ rdf:type owl:Restriction ;
                        owl:onProperty :HasCount ;
                        owl:qualifiedCardinality "1"^^xsd:nonNegativeInteger ;
                        owl:onClass :landing_count
                      ] ;
          rdfs:range :aircraft_id .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#HasCreationDate
:HasCreationDate rdf:type owl:ObjectProperty ;
                 rdfs:subPropertyOf owl:topObjectProperty ;
                 rdfs:domain :creation_date ;
                 rdfs:range :aircraft_id .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#HasFlightTime
:HasFlightTime rdf:type owl:ObjectProperty ;
               rdfs:subPropertyOf owl:topObjectProperty ;
               rdfs:domain :activity_period ;
               rdfs:range :aircraft_id .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#HasStatus
:HasStatus rdf:type owl:ObjectProperty ;
           rdfs:subPropertyOf owl:topObjectProperty .


###  http://www.w3.org/2002/07/owl#topObjectProperty
owl:topObjectProperty rdfs:domain :status ;
                      rdfs:range :aircraft_id .


#################################################################
#    Data properties
#################################################################

###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#bodytype
:bodytype rdf:type owl:DatatypeProperty ;
          rdfs:subPropertyOf owl:topDataProperty ;
          rdfs:domain :aircraft_body_type ;
          rdfs:range xsd:string .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#count
:count rdf:type owl:DatatypeProperty ;
       rdfs:subPropertyOf owl:topDataProperty ;
       rdfs:domain :landing_count ;
       rdfs:range xsd:int .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#creationdate
:creationdate rdf:type owl:DatatypeProperty ;
              rdfs:subPropertyOf owl:topDataProperty ;
              rdfs:domain :creation_date ;
              rdfs:range xsd:dateTime .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#flighttime
:flighttime rdf:type owl:DatatypeProperty ;
            rdfs:subPropertyOf owl:topDataProperty ;
            rdfs:domain :activity_period ;
            rdfs:range xsd:int .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#status
:status rdf:type owl:DatatypeProperty ;
        rdfs:subPropertyOf owl:topDataProperty ;
        rdfs:domain :status ;
        rdfs:range xsd:string .


#################################################################
#    Classes
#################################################################

###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#aircraft
:aircraft rdf:type owl:Class .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4#landing
:landing rdf:type owl:Class .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/activity_period
:activity_period rdf:type owl:Class ;
                 rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/aircraft_body_type
:aircraft_body_type rdf:type owl:Class ;
                    rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/aircraft_id
:aircraft_id rdf:type owl:Class ;
             rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/aircraft_manufacturer
:aircraft_manufacturer rdf:type owl:Class ;
                       rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/aircraft_model
:aircraft_model rdf:type owl:Class ;
                rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/aircraft_version
:aircraft_version rdf:type owl:Class ;
                  rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/airline
:airline rdf:type owl:Class ;
         rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/creation_date
:creation_date rdf:type owl:Class ;
               rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/geo_region
:geo_region rdf:type owl:Class ;
            rdfs:subClassOf :landing .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/geo_summary
:geo_summary rdf:type owl:Class ;
             rdfs:subClassOf :landing .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/landing_aircraft_type
:landing_aircraft_type rdf:type owl:Class ;
                       rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/landing_count
:landing_count rdf:type owl:Class ;
               rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/modification_date
:modification_date rdf:type owl:Class ;
                   rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/operating_airline
:operating_airline rdf:type owl:Class ;
                   rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/operating_airline_iata_code
:operating_airline_iata_code rdf:type owl:Class ;
                             rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/published_airline
:published_airline rdf:type owl:Class ;
                   rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/published_airline_iata_code
:published_airline_iata_code rdf:type owl:Class ;
                             rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/status
:status rdf:type owl:Class ;
        rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/tail_number
:tail_number rdf:type owl:Class ;
             rdfs:subClassOf :aircraft .


###  http://www.semanticweb.org/sverre/ontologies/2023/9/untitled-ontology-4/total_landed_weight
:total_landed_weight rdf:type owl:Class ;
                     rdfs:subClassOf :landing .


#################################################################
#    General axioms
#################################################################

[ rdf:type owl:AllDisjointClasses ;
  owl:members ( :activity_period
                :aircraft_body_type
                :aircraft_id
                :aircraft_manufacturer
                :aircraft_model
                :aircraft_version
                :airline
                :creation_date
                :geo_region
                :geo_summary
                :landing_aircraft_type
                :landing_count
                :modification_date
                :operating_airline
                :operating_airline_iata_code
                :published_airline
                :published_airline_iata_code
                :status
                :tail_number
                :total_landed_weight
              )
] .


[ rdf:type owl:AllDisjointClasses ;
  owl:members ( :aircraft_id
                :aircraft_model
                :airline
                :creation_date
                :modification_date
                :status
                :tail_number
              )
] .


###  Generated by the OWL API (version 4.5.26.2023-07-17T20:34:13Z) https://github.com/owlcs/owlapi
